PRINTF(1)

NAZWA
printf - formatuj i drukuj dane

SKŁADNIA
printf format [argument...]
printf [--help] [--version]

OPIS
Ta strona podręcznika man opisuje polecenie printf w wersji GNU.

printf drukuje łańcuch format, interpretując dyrektywy `%' i sekwencje specjalne `\' w ten sam sposób, co funkcja C printf(3). Argument format w razie potrzeby jest używany wielokrotnie tak, by przekształcić wszystkie podane argumenty.

A oto niektóre z interpretowanych sekwencji specjalnych formatu:

\"  cudzysłów

\0NNN
    znak o wartości ósemkowej NNN (0 do 3 cyfr)

\\  dosłowny odwrotny ukośnik

\a  alarm, dzwonek (BEL)

\b  backspace

\c  zaniechanie emitowania dalszego wyjścia

\f  wysuw strony (form feed)

\n  znak nowej linii (new line)

\r  powrót karetki

\t  tabulacja pozioma

\v  tabulacja poprzeczna

\xNNN
    znak o wartości szesnastkowej NNN (0 do 3 cyfr)

%%  pojedynczy znak %

oraz wszystkie specyfikacje formatu kończące się jednym ze znaków diouxXfeEgGcs, z uprzednią konwersją argumentów na odpowiednie typy. Obsługiwane są szerokości zmienne.

Dodatkowa dyrektywa %b, wypisuje łańcuch argumentu z sekwencjami specjalnymi `\' interpretowanymi tak samo jak w łańcuchu format.

OPCJE
Gdy printf jest wywołany z jednym argumentem, rozpoznawane są opcje:

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
echo(1), yes(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.